Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
objectptr.h File Reference

## Classes
class | ObjectPtrBase
class | ObjectPtrT< T >
| smart pointer to a Object descendant More...

## Namespaces
| log4cxx
| log4cxx::helpers

## Macros
#define | _LOG4CXX_OBJECTPTR_INIT(x) : p(x) {

## Macro Definition Documentation

#define _LOG4CXX_OBJECTPTR_INIT | ( |  | x | ) | : p(x) {